

# ListApplications
<a name="API_ListApplications"></a>

Lists all applications in your Amazon Web Services account.

## Request Syntax
<a name="API_ListApplications_RequestSyntax"></a>

```
GET /applications?max_results=MaxResults&next_token=NextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListApplications_RequestParameters"></a>

The request uses the following URI parameters.

 ** [MaxResults](#API_ListApplications_RequestSyntax) **   <a name="appconfig-ListApplications-request-uri-MaxResults"></a>
The maximum number of items to return for this call. The call also returns a token that you can specify in a subsequent call to get the next set of results.  
Valid Range: Minimum value of 1. Maximum value of 50.

 ** [NextToken](#API_ListApplications_RequestSyntax) **   <a name="appconfig-ListApplications-request-uri-NextToken"></a>
A token to start the list. Next token is a pagination token generated by Amazon AppConfig to describe what page the previous List call ended on. For the first List request, the nextToken should not be set. On subsequent calls, the nextToken parameter should be set to the previous responses nextToken value. Use this token to get the next set of results.   
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Request Body
<a name="API_ListApplications_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListApplications_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "Items": [ 
      { 
         "Description": "string",
         "Id": "string",
         "Name": "string"
      }
   ],
   "NextToken": "string"
}
```

## Response Elements
<a name="API_ListApplications_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [Items](#API_ListApplications_ResponseSyntax) **   <a name="appconfig-ListApplications-response-Items"></a>
The elements from this collection.  
Type: Array of [Application](API_Application.md) objects

 ** [NextToken](#API_ListApplications_ResponseSyntax) **   <a name="appconfig-ListApplications-response-NextToken"></a>
The token for the next set of items to return. Use this token to get the next set of results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Errors
<a name="API_ListApplications_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
The input fails to satisfy the constraints specified by an Amazon service.    
 ** Details **   
Detailed information about the input that failed to satisfy the constraints specified by a call.
HTTP Status Code: 400

 ** InternalServerException **   
There was an internal failure in the Amazon AppConfig service.  
HTTP Status Code: 500

## Examples
<a name="API_ListApplications_Examples"></a>

### Example
<a name="API_ListApplications_Example_1"></a>

This example illustrates one usage of ListApplications.

#### Sample Request
<a name="API_ListApplications_Example_1_Request"></a>

```
GET /applications HTTP/1.1
Host: appconfig.us-east-1.amazonaws.com
Accept-Encoding: identity
User-Agent: aws-cli/2.2.4 Python/3.8.8 Linux/5.4.134-73.228.amzn2int.x86_64 exe/x86_64.amzn.2 prompt/off command/appconfig.list-applications
X-Amz-Date: 20210917T231257Z
Authorization: AWS4-HMAC-SHA256 Credential=AKIAIOSFODNN7EXAMPLE/20210917/us-east-1/appconfig/aws4_request, SignedHeaders=host;x-amz-date, Signature=39c3b3042cd2aEXAMPLE
```

#### Sample Response
<a name="API_ListApplications_Example_1_Response"></a>

```
{
    "Items": [
        {
            "Id": "abc1234",
            "Name": "example-application",
            "Description": "An application used for creating an example."
        },
        {
            "Id": "rwalwu7",
            "Name": "Example-Application"
        }
    ]
}
```

## See Also
<a name="API_ListApplications_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/appconfig-2019-10-09/ListApplications) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/appconfig-2019-10-09/ListApplications) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/appconfig-2019-10-09/ListApplications) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/appconfig-2019-10-09/ListApplications) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/appconfig-2019-10-09/ListApplications) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/appconfig-2019-10-09/ListApplications) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/appconfig-2019-10-09/ListApplications) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/appconfig-2019-10-09/ListApplications) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/appconfig-2019-10-09/ListApplications) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/appconfig-2019-10-09/ListApplications) 